Subject: Mailing list last call for draft-daboo-sieve-spamtest-03.txt

From: [email-masked]
Date: Fri, 11 Apr 2003 08:12:44 -0700 (PDT)

A revised version of the spamtest document was just published (thanks Cyrus)
and it appears to address the issues raised at the sieve
lunch in SF. Accordingly, I'd like to begin a two week "mailing list last
call" for this document.

I do have a few of draft nits that need to be addressed with a revised
version:

(1) The document lacks the required IPR boilerplate. The IESG has recently
    started pushing back on this.

(2) The change history section needs to be marked "to be removed prior 
    to publication as an RFC".

(3) The abstract should refer to the "sieve mail filtering language" rather
    than just "sieve", in order to better put the document in context.

(4) The conventions section should be moved so it appears after the
    introduction and overview.

(5) The abstract should not be numbered.

That's it for now.

				Ned

---

From: [email-masked]
Date: Fri, 11 Apr 2003 18:22:40 -0700 (PDT)

> ...

Just noticed another problem with the draft as it stands. It contains an
example:

        if spamtest :value "ge" :comparator "i;ascii-numeric" "3"
        {
            fileinto "INBOX.spam-trap";
        }
        elsif spamtest :is "NIL"
        {
            fileinto "INBOX.unclassified";
        }
    
This turns out not to work. The problem is that the "i;ascii-numeric"
comparator is defined to rank all strings that don't begin with a digit
after any string that does. So if the spamtest value is NIL the first
if succeeds and the second one is never reached.

This is easily corrected by reversing the clauses, of course. The fact that
NILL will rank higher probably should be noted somewhere as well.

				Ned

---

From: Cyrus Daboo <[email-masked]>
Date: Fri, 18 Apr 2003 12:45:40 -0400

Hi Ned,

--On Friday, April 11, 2003 8:12 AM -0700 [email-masked] wrote:

| (1) The document lacks the required IPR boilerplate. The IESG has recently
|     started pushing back on this.
|
| (2) The change history section needs to be marked "to be removed prior
|     to publication as an RFC".
|
| (3) The abstract should refer to the "sieve mail filtering language"
| rather     than just "sieve", in order to better put the document in
| context.
|
| (4) The conventions section should be moved so it appears after the
|     introduction and overview.
|
| (5) The abstract should not be numbered.

OK, all the above changes have been made in my working copy.

--On Friday, April 11, 2003 6:22 PM -0700 [email-masked] wrote:

|
|> I do have a few of draft nits that need to be addressed with a revised
|> version:
|
|> ...
|
| Just noticed another problem with the draft as it stands. It contains an
| example:
|
|         if spamtest :value "ge" :comparator "i;ascii-numeric" "3"
|         {
|             fileinto "INBOX.spam-trap";
|         }
|         elsif spamtest :is "NIL"
|         {
|             fileinto "INBOX.unclassified";
|         }
|
| This turns out not to work. The problem is that the "i;ascii-numeric"
| comparator is defined to rank all strings that don't begin with a digit
| after any string that does. So if the spamtest value is NIL the first
| if succeeds and the second one is never reached.
|
| This is easily corrected by reversing the clauses, of course. The fact
| that NILL will rank higher probably should be noted somewhere as well.

Examples have been fixed. I added a note to the General Considerations 
section that describes this issue with the numeric comparator and explains 
how to handle it. The fixed examples also have notes that point out the new 
ordering of the tests, referring back to the General Considerations section.

-- 
Cyrus Daboo